1. incoming-calls
SkipCalls Public API
  • users
    • Get current user profile
      GET
    • Sync contacts from mobile device
      POST
    • Delete all contacts
      DELETE
    • Get all contacts
      GET
    • Update contact
      PATCH
    • Get a single contact with stats
      GET
    • Find duplicate contacts
      GET
    • Merge two duplicate contacts
      POST
    • Search contacts
      POST
    • Import contacts from CSV or JSON file
      POST
    • Get tag statistics for autocomplete
      GET
    • Advanced search in contacts by name, company, and tags
      POST
    • List notes for a customer (newest first)
      GET
    • Add a note to a customer
      POST
    • Get unified timeline for a customer
      GET
    • Update a customer note
      PATCH
    • Delete a customer note
      DELETE
    • Update custom fields on a customer
      PATCH
  • Calendars
    • List booked appointments
      GET
    • Get upcoming appointments for widget
      GET
    • Get appointment statistics
      GET
    • Get a single appointment
      GET
    • Hide/delete an appointment from the list
      DELETE
  • calls
    • Transcribe audio (for chat)
    • Schedule a new call
    • Cancel a scheduled call by ID
    • Get call details
    • Copy a call
    • Get call history
    • Search calls
    • Search outgoing calls only
    • Rate a call
    • Drop a call immediately by ID
    • Add call to favorites
    • Remove call from favorites
    • Update call notes
  • incoming-calls
    • Get incoming call history
      GET
    • Search incoming calls only
      GET
    • Get incoming call details
      GET
    • Delete an incoming call
      DELETE
    • Block the caller phone number from this incoming call
      POST
    • Unblock the caller phone number from this incoming call
      POST
    • Drop an incoming call immediately by ID
      POST
    • Add incoming call to favorites
      POST
    • Remove incoming call from favorites
      DELETE
  • agents
    • Create a new agent
    • Get all not deleted agents for the current user
    • Get all public agents
    • Get a specific agent by ID
    • Update an agent
    • Delete an agent
    • Toggle an agent active status
    • Reset an agent to dashboard defaults
    • Get agent change history
    • Create agent evaluation
    • Get agent evaluations
    • Update agent evaluation
    • Delete agent evaluation
    • Create agent data collection
    • Get agent data collections
    • Update agent data collection
    • Delete agent data collection
    • Connect calendar to agent
    • Get agent connected calendars
    • Duplicate an agent-calendar link (virtual calendar)
    • Update calendar settings
    • Disconnect calendar from agent
    • Create or update widget embed configuration
    • Get widget embed configuration
    • Disable widget embed
    • Regenerate embed key
    • Get all transfer numbers for an agent
    • Add a new transfer number to an agent
    • Update a transfer number
    • Delete a transfer number
    • List all tasks available to user (global + custom)
    • Create a custom task definition
    • Delete a custom task definition
    • List call scenarios for an agent
    • Create a call scenario for an agent
    • Reorder call scenarios for an agent
    • Update a call scenario
    • Delete a call scenario
    • List enabled tasks for an agent
    • Enable a task on an agent
    • Disable a task on an agent
  • email-receptionist
    • Get email receptionist settings for an agent
    • Create or update email receptionist settings for an agent
  • contact-actions
    • Schedule an outbound call to a contact
    • Send an SMS to a contact
  • Schemas
    • UserProfileSubscriptionDto
    • UserProfileResponseDto
    • UserTrialResponseDto
    • UserStatsResponseDto
    • UserPhoneResponseDto
    • GetUserProfileResponseDto
    • ContactDto
    • SyncContactsDto
    • BasicResponseDto
    • DeleteContactsDto
    • UpdateContactDto
    • ContactStatsDto
    • ContactLatestNoteDto
    • ContactItemResponseDto
    • MergeContactDataDto
    • MergeContactsDto
    • PaginationDto
    • ContactAggregationsDto
    • ContactSearchResponseDto
    • ImportContactsDto
    • ImportContactsResponseDto
    • TagStatDto
    • TagStatsResponseDto
    • AdvancedSearchDto
    • AddCustomerNoteDto
    • UpdateCustomerNoteDto
    • AppointmentAgentDto
    • AppointmentCalendarDto
    • AppointmentResponseDto
    • AppointmentsListResponseDto
    • AppointmentStatsDto
    • NumberAgentDto
    • NumberItemDto
    • TranscribeDto
    • TranscribeResponseDto
    • ScheduleCallDto
    • TransactionDto
    • RoleplayTranscriptMetadataDto
    • RoleplayTranscriptDto
    • SchemaFieldValidationsDto
    • CalculatedFieldDto
    • SchemaFieldDto
    • ToolDto
    • AgentToolDto
    • DataCollectionResultDto
    • DataCollectionResponseDto
    • EvaluationResultDto
    • EvaluationResponseDto
    • FlowStructureDto
    • AgentEmailAddressDto
    • AgentDto
    • VoiceMailMessagesDto
    • CallAnalysisDto
    • CallFollowUpDto
    • TaskDto
    • TaskResultDto
    • CallDto
    • BaseCallResponseDto
    • BaseUnsuccessfulCallResponseDto
    • CallSimpleResponseDto
    • CopyCallDto
    • CallHistoryResponseDto
    • SearchCallResultDto
    • SearchCallsResponseDto
    • RateCallDto
    • UpdateCallNotesDto
    • DataCollectionDto
    • EvaluationDto
    • CallBookingDto
    • IncomingCallDto
    • IncomingCallHistoryResponseDto
    • BlockCallerResponseDto
    • FlowStructure
    • CreateAgentDto
    • AgentValidationDto
    • UpdateAgentDto
    • AgentAuditLogEntryDto
    • AgentAuditHistoryResponseDto
    • CreateAgentEvaluationDto
    • UpdateAgentEvaluationDto
    • CreateAgentDataCollectionDto
    • UpdateAgentDataCollectionDto
    • CreateAgentCalendarDto
    • DuplicateAgentCalendarDto
    • UpdateAgentCalendarDto
    • CreateWidgetConfigDto
    • WidgetConfigResponseDto
    • CreateTransferNumberDto
    • TransferNumberResponseDto
    • UpdateTransferNumberDto
    • TaskDefinitionDto
    • CreateCustomTaskDto
    • AgentScenarioResponseDto
    • CreateAgentScenarioDto
    • ReorderAgentScenariosDto
    • UpdateAgentScenarioDto
    • AgentTaskLinkDto
    • EnableTaskDto
    • EmailReceptionistSettingsResponseDto
    • UpdateEmailReceptionistSettingsDto
    • ScheduleCallFromContactDto
    • SendSmsFromContactDto
  1. incoming-calls

Unblock the caller phone number from this incoming call

POST
/incoming-calls/{id}/unblock
Removes phoneNumberFrom of the referenced call from the user's blocklist — effective immediately, the next call from that number will ring through to the agent again. Pass the incoming call ID that was originally used to block, not the phone number directly.

Request

Authorization
JWT Bearer
Add the parameter
Authorization
to Headers
Example:
Authorization: ********************
or
Path Params

Responses

🟢200
application/json
Phone number unblocked successfully
Bodyapplication/json

🟠404
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/incoming-calls//unblock' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "success": true,
    "blocked": true,
    "blockedNumber": "+14155551234"
}
Modified at 2026-07-23 18:02:16
Previous
Block the caller phone number from this incoming call
Next
Drop an incoming call immediately by ID
Built with